Configurer les gestionnaires PHP

Plesk assure la prise en charge intégrale du langage de script PHP, ainsi que les versions PHP multiples et les types de gestionnaires, le tout, de manière prête à l'emploi. Cette section explique comment l'administrateur de Plesk peut mettre à disposition les types de gestionnaires PHP à ses clients et configurer les paramètres PHP pour les versions individuelles de PHP.

Mettre les types de gestionnaires à disposition de vos clients

Pour mettre une combinaison spécifique de version PHP et gestionnaire PHP à disposition ou non de vos clients, allez dans Outils & Paramètres > Paramètres PHP. Vous trouverez une lite de toutes les combinaisons de versions PHP et type de gestionnaires disponibles sur le serveur :

L'icône en regard d'une combinaison "version PHP + type de gestionnaire" indique si cette combinaison est disponible pour vos clients et peut être sélectionnée. L'icône indique que cette combinaison n'est pas disponible. Cliquez sur l'icône pour activer/désactiver la disponibilité de la combinaison version PHP + type de gestionnaire. Tout client autorisé à sélectionner la version de PHP et le type de gestionnaire pour ses domaines pourra sélectionner toute combinaison que vous rendrez disponible. Le nombre de domaines qui utilisent une combinaison version PHP + type de gestionnaire est affiché juste à droite du nom de cette combinaison. Vous pouvez cliquer sur ce nombre pour voir la liste des domaines.

Les types de gestionnaires ont des niveaux de sécurisation et de consommation des ressources différents. Vous pouvez utiliser cette fonction pour interdire à vos clients d'utiliser un type de gestionnaire spécifique ou une version de PHP spécifique (en rendant indisponibles toutes les combinaisons version de PHP + type de gestionnaire qui utilisent cette version de PHP). Par exemple : le gestionnaire CGI PHP n'est pas disponible par défaut pour toutes les versions de PHP. Toutefois, vous pouvez la rendre disponible pour une version de PHP spécifique, ou encore pour toutes les versions. Si vous n'êtes pas sûr du type de gestionnaire PHP à rendre disponible, vous pouvez consultez cette documentation.

 

PHP Extensions and Settings

Plesk vous offre la possibilité d'activer ou de désactiver des extensions PHP spécifiques et de configurer manuellement une vaste gamme de paramètres PHP. Ces paramètres peuvent être configurés pour chaque version PHP indépendamment de toutes les autres, par exemple, vous pouvez définir une liste des extensions activées pour PHP 5.3 totalement différente de celle pour PHP 5.4. Ces paramètres sont appliqués à chaque type de gestionnaire PHP, par exemple, si vous activez l'extension xdebug pour PHP 5.3, elle sera activée pour tous les domaines utilisant PHP 5.3, s'ils utilisent un gestionnaire CGI, FastCGI ou PHP-FPM).

Pour changer les paramètres PHP pour une version de PHP individuelle, allez dans Outils & Paramètres > Paramètres PHP et cliquez sur n'importe quelle combinaison "version de PHP + type de gestionnaire" dont la version de PHP correspond aux paramètres que vous voulez modifier. Par exemple, si vous voulez modifier les paramètres pour PHP 5.3, cliquez sur Module Apache 5.3.3 ou sur Application FastCGI 5.3.3. Vous pouvez gérer les paramètres PHP suivants ici :

  • Active ou désactiver les extensions PHP d'une liste prédéfinie.
  • Configurez les paramètres PHP voulus en modifiant le fichier php.ini.

Toute modification que vous ferez sera effective pour tous les sites Web qui utilisent cette version de PHP. Remarque : les clients qui ont le droit de gérer des paramètres PHP peuvent configurer certains paramètres PHP pour leurs domaines et sous-domaines. Les paramètres qu'ils configurent au niveau du domaine écrasent les paramètres au niveau du serveur.

 

Leave your feedback on this topic here

If you have questions or need support, please visit the Plesk forum or contact your hosting provider.
The comments below are for feedback on the documentation only. No timely answers or help will be provided.